fop 1.1

## org.apache.fop.svg
Class AbstractFOPImageElementBridge.Graphics2DNode

    java.lang.Object
      org.apache.batik.gvt.AbstractGraphicsNode
          org.apache.fop.svg.AbstractFOPImageElementBridge.Graphics2DNode

All Implemented Interfaces:
  org.apache.batik.gvt.GraphicsNode

Enclosing class:
  AbstractFOPImageElementBridge

    public static class AbstractFOPImageElementBridge.Graphics2DNode

extends org.apache.batik.gvt.AbstractGraphicsNode

A node that holds a Graphics2D image.

Field Summary

Fields inherited from class org.apache.batik.gvt.AbstractGraphicsNode
`changeCompletedEvent, changeStartedEvent, clip, composite, enableBackgroundGraphicsNodeRable, filter, graphicsNodeRable, hints, inverseTransform, isVisible, listeners, mask, parent, pointerEventType, root, transform, weakRef`

Fields inherited from interface org.apache.batik.gvt.GraphicsNode
`ALL, FILL, IDENTITY, NONE, PAINTED, STROKE, VISIBLE, VISIBLE_FILL, VISIBLE_PAINTED, VISIBLE_STROKE`

Constructor Summary
`AbstractFOPImageElementBridge.Graphics2DNode(org.apache.xmlgraphics.image.loader.impl.ImageGraphics2D g2d)` Create a new Graphics2D node.

Method Summary
`java.awt.geom.Rectangle2D` `getGeometryBounds()`
`java.awt.Shape` `getOutline()`
`java.awt.geom.Rectangle2D` `getPrimitiveBounds()`
`java.awt.geom.Rectangle2D` `getSensitiveBounds()`
`void` `primitivePaint(java.awt.Graphics2D g2d)`

Methods inherited from class org.apache.batik.gvt.AbstractGraphicsNode

`contains, fireGraphicsNodeChangeCompleted, fireGraphicsNodeChangeStarted, fireGraphicsNodeChangeStarted, fireGraphicsNodeChangeStarted, getBounds, getClip, getComposite, getEnableBackgroundGraphicsNodeRable, getFilter, getGlobalTransform, getGraphicsNodeRable, getInverseTransform, getMask, getParent, getPointerEventType, getRenderingHints, getRoot, getTransform, getTransformedBounds, getTransformedGeometryBounds, getTransformedPrimitiveBounds, getTransformedSensitiveBounds, getWeakReference, intersects, invalidateGeometryCache, isAntialiasedClip, isOffscreenBufferNeeded, isVisible, nodeHitAt, normalizeRectangle, paint, setClip, setComposite, setFilter, setMask, setParent, setPointerEventType, setRenderingHint, setRenderingHints, setRenderingHints, setRoot, setTransform, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractFOPImageElementBridge.Graphics2DNode

    public AbstractFOPImageElementBridge.Graphics2DNode(org.apache.xmlgraphics.image.loader.impl.ImageGraphics2D g2d)

  Create a new Graphics2D node.

  Parameters:
    `g2d` - the Graphics2D image

Method Detail

### getOutline

    public java.awt.Shape getOutline()

### primitivePaint

    public void primitivePaint(java.awt.Graphics2D g2d)

### getGeometryBounds

    public java.awt.geom.Rectangle2D getGeometryBounds()

### getPrimitiveBounds

    public java.awt.geom.Rectangle2D getPrimitiveBounds()

### getSensitiveBounds

    public java.awt.geom.Rectangle2D getSensitiveBounds()

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.